<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	   xmlns:p="http://www.springframework.org/schema/p"
	   xmlns:context="http://www.springframework.org/schema/context"
	   xmlns:mvc="http://www.springframework.org/schema/mvc"
	   xmlns:task="http://www.springframework.org/schema/task"
	   xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
            http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx.xsd
            http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd
            http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
            http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd
            http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task.xsd">


	<context:component-scan base-package="egovframework"/>

	<bean id="multipartResolver" class="org.springframework.web.multipart.commons.CommonsMultipartResolver">
		<property name="maxUploadSize" value="200000000"/>
	</bean>

	<bean id="tilesViewResolver"
		  class="org.springframework.web.servlet.view.UrlBasedViewResolver">
		<property name="viewClass" value="org.springframework.web.servlet.view.tiles3.TilesView" />
		<property name="order" value="1" />
	</bean>
	<bean id="tilesConfigurer"
		  class="org.springframework.web.servlet.view.tiles3.TilesConfigurer">
		<property name="definitions">
			<list>
				<value>/WEB-INF/jsp/egovframework/tiles/tiles.xml</value>
			</list>
		</property>
	</bean>

	<mvc:interceptors>
		<mvc:interceptor>
			<mvc:mapping path="/main/main.do" />
			<mvc:mapping path="/intro/*" />
			<mvc:mapping path="/traffic/*" />
			<mvc:mapping path="/trafficStats/info.do" />
			<mvc:mapping path="/notice/noticeList.do" />
			<mvc:mapping path="/parking/parking.do" />
			<mvc:mapping path="/relate/relateSite.do" />
			<bean class="egovframework.interceptors.LogAdapterInterceptor" />
		</mvc:interceptor>
		<mvc:interceptor>
			<mvc:mapping path="/admin/*" />
			<mvc:exclude-mapping path="/admin/index.do" />
			<mvc:exclude-mapping path="/admin/login.do" />
<!--			<mvc:exclude-mapping path="/admin/logout.do" />-->
			<bean class="egovframework.interceptors.LoginAdapterInterceptor" />
		</mvc:interceptor>
	</mvc:interceptors>

	<!--<bean id="WebCheckerListener" class="egovframework.scheduler.WebStatusChecker" />
	<task:scheduled-tasks>
		<task:scheduled ref="WebCheckerListener" method="run" fixed-delay="300000" />
	</task:scheduled-tasks>
	-->
	<bean class="org.springframework.web.servlet.view.UrlBasedViewResolver" p:order="2"
		  p:viewClass="org.springframework.web.servlet.view.JstlView"
		  p:prefix="/WEB-INF/jsp/egovframework/" p:suffix=".jsp"/>

	<mvc:annotation-driven />

</beans>
